Package com.xebialabs.xlrelease.domain.events

# Class DatacenterUpdatedEvent$

java.lang.Object
scala.runtime.AbstractFunction3<String,DatacenterTargetState,DatacenterTargetState,DatacenterUpdatedEvent>
com.xebialabs.xlrelease.domain.events.DatacenterUpdatedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<String,DatacenterTargetState,DatacenterTargetState,DatacenterUpdatedEvent>`

public class DatacenterUpdatedEvent$ extends scala.runtime.AbstractFunction3<String,DatacenterTargetState,DatacenterTargetState,DatacenterUpdatedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DatacenterUpdatedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatacenterUpdatedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatacenterUpdatedEvent`
  `apply(String datacenter, DatacenterTargetState previousTargetState, DatacenterTargetState newTargetState)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<String,DatacenterTargetState,DatacenterTargetState>>`
  `unapply(DatacenterUpdatedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final DatacenterUpdatedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### DatacenterUpdatedEvent$

    public DatacenterUpdatedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<String,DatacenterTargetState,DatacenterTargetState,DatacenterUpdatedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<String,DatacenterTargetState,DatacenterTargetState,DatacenterUpdatedEvent>`

  - ### apply

    public DatacenterUpdatedEvent apply(String datacenter, DatacenterTargetState previousTargetState, DatacenterTargetState newTargetState)
    Specified by:
      `apply` in interface `scala.Function3<String,DatacenterTargetState,DatacenterTargetState,DatacenterUpdatedEvent>`

  - ### unapply

    public scala.Option<scala.Tuple3<String,DatacenterTargetState,DatacenterTargetState>> unapply(DatacenterUpdatedEvent x$0)